%{!?ruby_sitelib:	%global ruby_sitelib	%(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%{!?ruby_sitearch:	%global ruby_sitearch	%(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

%define		modname		revolution
%define		rubyabi		1.8
%define		repoid		4341

%define		mainver		0.5
%define		svnid		210

%define		fedorarel	3

##########################################
# For using svn: do
# $ svn checkout svn://rubyforge.org/var/svn/revolution/trunk/revolution
# $ mv revolution revolution-%%{mainver}-svn%%{svnid}
# $ zip -r revolution-%%{mainver}-svn%%{svnid}.zip revolution-%%{mainver}-svn%%{svnid}
##########################################

Name:		ruby-%{modname}
Version:	%{mainver}
Release:	%{fedorarel}%{?svnid:.svn%svnid}%{?dist}.1
Summary:	Ruby binding for the Evolution email client
Group:		Development/Languages

License:	BSD with advertising or GPLv2
URL:		http://revolution.rubyforge.org/
#Source0:	http://rubyforge.org/frs/download.php/%{repoid}/%{modname}-%{mainver}.zip
Source0:	%{modname}-%{mainver}-svn%{svnid}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	evolution-data-server-devel
Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby
Provides:	ruby(%{modname}) = %{version}-%{release}

%description
Revolution is a Ruby binding for the Evolution email client. 
It's sponsored - i.e., written on work time and open sourced 
with a BSD or GPL license - by InfoEther.

%prep
%setup -q -n %{modname}-%{version}%{?svnid:-svn%{svnid}}

find . -type f -exec %{__chmod} 0644 {} ';'
%{__rm} -rf www/CVS
find . -name .svn | sort -r | xargs %{__rm} -rf

%build
ruby extconf.rb
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL="%{__install} -c -p" \
	install

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG
%doc *LICENSE
%doc README
%doc www/

%{ruby_sitearch}/%{modname}.so

%changelog
* Sun Jun 27 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Rebuild against new evolution-data-server

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-3.svn210
- F-12: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-2.svn210
- %%global-ize "nested" macro

* Tue May 13 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-10: rebuild against new e-d-s

* Sat Feb  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Rebuild against gcc43

* Thu Dec  6 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-1.svn210
- Use svn due to license issue

* Sun Nov 18 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.5-1
- Initial packaging

